require 'middleclass'

GameOver = class('GameOver')

function GameOver:initialize(score)
	self.score = score
end

function GameOver:load()
	love.graphics.setBackgroundColor(0,0,0,255)
	love.graphics.setFont(love.graphics.newFont(18))
	self.changeto = ""
end

function GameOver:update()
	if love.mouse.isDown("l") then self.changeto = "mainmenu" end
end

function GameOver:draw()
	love.graphics.print("You lose. Society has crumbled around you.",300,400)
	love.graphics.print("Your final score was:",300,450)
	love.graphics.print(tostring(math.floor(self.score)),525,450)
	love.graphics.print("Click anywhere to return to the main menu.",300,500)
end

function GameOver:changeTo()
	return self.changeto,0
end



Winner = class('Winner')

function Winner:load()
	love.graphics.setBackgroundColor(0,0,0,255)
	love.graphics.setFont(love.graphics.newFont(18))
	self.changeto = ""
end

function Winner:update()
	if love.mouse.isDown("l") then self.changeto = "mainmenu" end
end

function Winner:draw()
	love.graphics.print("A winner is you! You have established the perfect utopian society.",250,400)
	love.graphics.print("Your final score was: 100000 and +1 Internets. I didn't even know this was possible.",150,450)
	love.graphics.print("Click anywhere to return to the main menu.",300,500)
end

function Winner:changeTo()
	return self.changeto,0
end
