require 'middleclass'
require 'basicwalker'

Protestor = class('Protestor')

function Protestor:initialize(x,y)
	self.timesince = 0
	self.placard = (math.random() > 0.5)
	self.position = {x,y}
end

function Protestor:update(dt)
	self.timesince = self.timesince + dt
end

function Protestor:draw()
	if (self.placard == true) then
		if math.floor(self.timesince*5) % 2 == 1 then
			love.graphics.draw(art["protest1"], self.position[1], self.position[2])
		else
			love.graphics.draw(art["protest2"], self.position[1], self.position[2])
		end
	else
		if math.floor(self.timesince*5) % 2 == 1 then
			love.graphics.draw(art["protestsign1"], self.position[1], self.position[2])
		else
			love.graphics.draw(art["protestsign2"], self.position[1], self.position[2])
		end
	end
end

function Protestor:stillWalking()
	return true
end

function Protestor:angry() return true end
